Index: inc/cppuhelper/implbase1.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase1.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase1.hxx	9 Nov 2004 13:37:02 -0000	1.13
+++ inc/cppuhelper/implbase1.hxx	13 Sep 2005 14:50:00 -0000	1.13.30.1
@@ -90,8 +90,8 @@
                 1 +1, sal_False, sal_False,
                 { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                 {
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
                 }
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase10.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase10.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase10.hxx	9 Nov 2004 13:37:18 -0000	1.13
+++ inc/cppuhelper/implbase10.hxx	13 Sep 2005 14:50:01 -0000	1.13.30.1
@@ -91,17 +91,17 @@
                 10 +1, sal_False, sal_False,
 				{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
 				{
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { Ifc6::static_type }, ((sal_Int32)(Ifc6 *) (Impl *) 16) - 16 },
-					{ { Ifc7::static_type }, ((sal_Int32)(Ifc7 *) (Impl *) 16) - 16 },
-					{ { Ifc8::static_type }, ((sal_Int32)(Ifc8 *) (Impl *) 16) - 16 },
-					{ { Ifc9::static_type }, ((sal_Int32)(Ifc9 *) (Impl *) 16) - 16 },
-					{ { Ifc10::static_type }, ((sal_Int32)(Ifc10 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { Ifc6::static_type }, ((sal_IntPtr)(Ifc6 *) (Impl *) 16) - 16 },
+					{ { Ifc7::static_type }, ((sal_IntPtr)(Ifc7 *) (Impl *) 16) - 16 },
+					{ { Ifc8::static_type }, ((sal_IntPtr)(Ifc8 *) (Impl *) 16) - 16 },
+					{ { Ifc9::static_type }, ((sal_IntPtr)(Ifc9 *) (Impl *) 16) - 16 },
+					{ { Ifc10::static_type }, ((sal_IntPtr)(Ifc10 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
 				}
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase11.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase11.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase11.hxx	9 Nov 2004 13:37:31 -0000	1.13
+++ inc/cppuhelper/implbase11.hxx	13 Sep 2005 14:50:01 -0000	1.13.30.1
@@ -91,18 +91,18 @@
                 11 +1, sal_False, sal_False,
 				{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
 				{
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { Ifc6::static_type }, ((sal_Int32)(Ifc6 *) (Impl *) 16) - 16 },
-					{ { Ifc7::static_type }, ((sal_Int32)(Ifc7 *) (Impl *) 16) - 16 },
-					{ { Ifc8::static_type }, ((sal_Int32)(Ifc8 *) (Impl *) 16) - 16 },
-					{ { Ifc9::static_type }, ((sal_Int32)(Ifc9 *) (Impl *) 16) - 16 },
-					{ { Ifc10::static_type }, ((sal_Int32)(Ifc10 *) (Impl *) 16) - 16 },
-					{ { Ifc11::static_type }, ((sal_Int32)(Ifc11 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { Ifc6::static_type }, ((sal_IntPtr)(Ifc6 *) (Impl *) 16) - 16 },
+					{ { Ifc7::static_type }, ((sal_IntPtr)(Ifc7 *) (Impl *) 16) - 16 },
+					{ { Ifc8::static_type }, ((sal_IntPtr)(Ifc8 *) (Impl *) 16) - 16 },
+					{ { Ifc9::static_type }, ((sal_IntPtr)(Ifc9 *) (Impl *) 16) - 16 },
+					{ { Ifc10::static_type }, ((sal_IntPtr)(Ifc10 *) (Impl *) 16) - 16 },
+					{ { Ifc11::static_type }, ((sal_IntPtr)(Ifc11 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
 				}
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase12.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase12.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase12.hxx	9 Nov 2004 13:37:46 -0000	1.13
+++ inc/cppuhelper/implbase12.hxx	13 Sep 2005 14:50:02 -0000	1.13.30.1
@@ -91,19 +91,19 @@
                 12 +1, sal_False, sal_False,
 				{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
 				{
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { Ifc6::static_type }, ((sal_Int32)(Ifc6 *) (Impl *) 16) - 16 },
-					{ { Ifc7::static_type }, ((sal_Int32)(Ifc7 *) (Impl *) 16) - 16 },
-					{ { Ifc8::static_type }, ((sal_Int32)(Ifc8 *) (Impl *) 16) - 16 },
-					{ { Ifc9::static_type }, ((sal_Int32)(Ifc9 *) (Impl *) 16) - 16 },
-					{ { Ifc10::static_type }, ((sal_Int32)(Ifc10 *) (Impl *) 16) - 16 },
-					{ { Ifc11::static_type }, ((sal_Int32)(Ifc11 *) (Impl *) 16) - 16 },
-					{ { Ifc12::static_type }, ((sal_Int32)(Ifc12 *) (Impl *) 16) - 16 },
-                    { { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { Ifc6::static_type }, ((sal_IntPtr)(Ifc6 *) (Impl *) 16) - 16 },
+					{ { Ifc7::static_type }, ((sal_IntPtr)(Ifc7 *) (Impl *) 16) - 16 },
+					{ { Ifc8::static_type }, ((sal_IntPtr)(Ifc8 *) (Impl *) 16) - 16 },
+					{ { Ifc9::static_type }, ((sal_IntPtr)(Ifc9 *) (Impl *) 16) - 16 },
+					{ { Ifc10::static_type }, ((sal_IntPtr)(Ifc10 *) (Impl *) 16) - 16 },
+					{ { Ifc11::static_type }, ((sal_IntPtr)(Ifc11 *) (Impl *) 16) - 16 },
+					{ { Ifc12::static_type }, ((sal_IntPtr)(Ifc12 *) (Impl *) 16) - 16 },
+                    { { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
 				}
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase2.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase2.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase2.hxx	9 Nov 2004 13:38:11 -0000	1.13
+++ inc/cppuhelper/implbase2.hxx	13 Sep 2005 14:50:02 -0000	1.13.30.1
@@ -90,9 +90,9 @@
                 2 +1, sal_False, sal_False,
                 { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                 {
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
                 }
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase3.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase3.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase3.hxx	9 Nov 2004 13:38:25 -0000	1.13
+++ inc/cppuhelper/implbase3.hxx	13 Sep 2005 14:50:03 -0000	1.13.30.1
@@ -90,10 +90,10 @@
                 3 +1, sal_False, sal_False,
                 { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                 {
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
                 }
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase4.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase4.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase4.hxx	9 Nov 2004 13:38:39 -0000	1.13
+++ inc/cppuhelper/implbase4.hxx	13 Sep 2005 14:50:03 -0000	1.13.30.1
@@ -91,11 +91,11 @@
                 4 +1, sal_False, sal_False,
                 { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                 {
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
                 }
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase5.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase5.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase5.hxx	9 Nov 2004 13:38:56 -0000	1.13
+++ inc/cppuhelper/implbase5.hxx	13 Sep 2005 14:50:04 -0000	1.13.30.1
@@ -91,12 +91,12 @@
                 5 +1, sal_False, sal_False,
                 { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                 {
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
                 }
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase6.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase6.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase6.hxx	9 Nov 2004 13:39:09 -0000	1.13
+++ inc/cppuhelper/implbase6.hxx	13 Sep 2005 14:50:04 -0000	1.13.30.1
@@ -91,13 +91,13 @@
                 6 +1, sal_False, sal_False,
                 { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                 {
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { Ifc6::static_type }, ((sal_Int32)(Ifc6 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { Ifc6::static_type }, ((sal_IntPtr)(Ifc6 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
                 }
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase7.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase7.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase7.hxx	9 Nov 2004 13:39:23 -0000	1.13
+++ inc/cppuhelper/implbase7.hxx	13 Sep 2005 14:50:05 -0000	1.13.30.1
@@ -91,14 +91,14 @@
                 7 +1, sal_False, sal_False,
 				{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
 				{
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { Ifc6::static_type }, ((sal_Int32)(Ifc6 *) (Impl *) 16) - 16 },
-					{ { Ifc7::static_type }, ((sal_Int32)(Ifc7 *) (Impl *) 16) - 16 },
-					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { Ifc6::static_type }, ((sal_IntPtr)(Ifc6 *) (Impl *) 16) - 16 },
+					{ { Ifc7::static_type }, ((sal_IntPtr)(Ifc7 *) (Impl *) 16) - 16 },
+					{ { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
 				}
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase8.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase8.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase8.hxx	9 Nov 2004 13:39:35 -0000	1.13
+++ inc/cppuhelper/implbase8.hxx	13 Sep 2005 14:50:05 -0000	1.13.30.1
@@ -91,15 +91,15 @@
 				8 +1, sal_False, sal_False,
                 { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                 {
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { Ifc6::static_type }, ((sal_Int32)(Ifc6 *) (Impl *) 16) - 16 },
-					{ { Ifc7::static_type }, ((sal_Int32)(Ifc7 *) (Impl *) 16) - 16 },
-					{ { Ifc8::static_type }, ((sal_Int32)(Ifc8 *) (Impl *) 16) - 16 },
-                    { { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { Ifc6::static_type }, ((sal_IntPtr)(Ifc6 *) (Impl *) 16) - 16 },
+					{ { Ifc7::static_type }, ((sal_IntPtr)(Ifc7 *) (Impl *) 16) - 16 },
+					{ { Ifc8::static_type }, ((sal_IntPtr)(Ifc8 *) (Impl *) 16) - 16 },
+                    { { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
                 }
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase9.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase9.hxx,v
retrieving revision 1.13
retrieving revision 1.13.30.1
diff -u -r1.13 -r1.13.30.1
--- inc/cppuhelper/implbase9.hxx	9 Nov 2004 13:39:49 -0000	1.13
+++ inc/cppuhelper/implbase9.hxx	13 Sep 2005 14:50:06 -0000	1.13.30.1
@@ -91,16 +91,16 @@
                 9 +1, sal_False, sal_False,
 				{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
 				{
-					{ { Ifc1::static_type }, ((sal_Int32)(Ifc1 *) (Impl *) 16) - 16 },
-					{ { Ifc2::static_type }, ((sal_Int32)(Ifc2 *) (Impl *) 16) - 16 },
-					{ { Ifc3::static_type }, ((sal_Int32)(Ifc3 *) (Impl *) 16) - 16 },
-					{ { Ifc4::static_type }, ((sal_Int32)(Ifc4 *) (Impl *) 16) - 16 },
-					{ { Ifc5::static_type }, ((sal_Int32)(Ifc5 *) (Impl *) 16) - 16 },
-					{ { Ifc6::static_type }, ((sal_Int32)(Ifc6 *) (Impl *) 16) - 16 },
-					{ { Ifc7::static_type }, ((sal_Int32)(Ifc7 *) (Impl *) 16) - 16 },
-					{ { Ifc8::static_type }, ((sal_Int32)(Ifc8 *) (Impl *) 16) - 16 },
-					{ { Ifc9::static_type }, ((sal_Int32)(Ifc9 *) (Impl *) 16) - 16 },
-                    { { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_Int32)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
+					{ { Ifc1::static_type }, ((sal_IntPtr)(Ifc1 *) (Impl *) 16) - 16 },
+					{ { Ifc2::static_type }, ((sal_IntPtr)(Ifc2 *) (Impl *) 16) - 16 },
+					{ { Ifc3::static_type }, ((sal_IntPtr)(Ifc3 *) (Impl *) 16) - 16 },
+					{ { Ifc4::static_type }, ((sal_IntPtr)(Ifc4 *) (Impl *) 16) - 16 },
+					{ { Ifc5::static_type }, ((sal_IntPtr)(Ifc5 *) (Impl *) 16) - 16 },
+					{ { Ifc6::static_type }, ((sal_IntPtr)(Ifc6 *) (Impl *) 16) - 16 },
+					{ { Ifc7::static_type }, ((sal_IntPtr)(Ifc7 *) (Impl *) 16) - 16 },
+					{ { Ifc8::static_type }, ((sal_IntPtr)(Ifc8 *) (Impl *) 16) - 16 },
+					{ { Ifc9::static_type }, ((sal_IntPtr)(Ifc9 *) (Impl *) 16) - 16 },
+                    { { ::com::sun::star::lang::XTypeProvider::static_type }, ((sal_IntPtr)(::com::sun::star::lang::XTypeProvider *) (Impl *) 16) - 16 }
 				}
             };
             return reinterpret_cast< class_data * >(&s_cd);
Index: inc/cppuhelper/implbase_ex.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase_ex.hxx,v
retrieving revision 1.4
retrieving revision 1.4.30.1
diff -u -r1.4 -r1.4.30.1
--- inc/cppuhelper/implbase_ex.hxx	9 Nov 2004 13:40:04 -0000	1.4
+++ inc/cppuhelper/implbase_ex.hxx	13 Sep 2005 14:50:06 -0000	1.4.30.1
@@ -115,7 +115,7 @@
     } m_type;
     /** offset for interface pointer
     */
-    sal_Int32 m_offset;
+    sal_IntPtr m_offset;
 };
 
 /** identical dummy struct for casting class_dataN to class_data
Index: inc/cppuhelper/implbase_ex_pre.hxx
===================================================================
RCS file: /cvs/udk/cppuhelper/inc/cppuhelper/implbase_ex_pre.hxx,v
retrieving revision 1.3
retrieving revision 1.3.32.1
diff -u -r1.3 -r1.3.32.1
--- inc/cppuhelper/implbase_ex_pre.hxx	9 Nov 2004 13:40:18 -0000	1.3
+++ inc/cppuhelper/implbase_ex_pre.hxx	13 Sep 2005 14:50:06 -0000	1.3.32.1
@@ -63,7 +63,7 @@
 
 /** @internal */
 #define __IFC_EX_TYPE_INIT_NAME( class_cast, ifc_name ) \
-{ { ifc_name::static_type }, ((sal_Int32)(ifc_name *) class_cast 16) - 16 }
+{ { ifc_name::static_type }, ((sal_IntPtr)(ifc_name *) class_cast 16) - 16 }
 /** @internal */
 #define __IFC_EX_TYPE_INIT( class_cast, N ) __IFC_EX_TYPE_INIT_NAME( class_cast, Ifc##N )
 
Index: source/implbase_ex.cxx
===================================================================
RCS file: /cvs/udk/cppuhelper/source/implbase_ex.cxx,v
retrieving revision 1.10
retrieving revision 1.10.26.1
diff -u -r1.10 -r1.10.26.1
--- source/implbase_ex.cxx	27 Jan 2005 12:35:47 -0000	1.10
+++ source/implbase_ex.cxx	13 Sep 2005 14:50:07 -0000	1.10.26.1
@@ -123,7 +123,7 @@
     return (((OUString const *)&pStr)->equalsAsciiL( RTL_CONSTASCII_STRINGPARAM("com.sun.star.uno.XInterface") ) != sal_False);
 }
 //--------------------------------------------------------------------------------------------------
-static inline void * makeInterface( sal_Int32 nOffset, void * that ) SAL_THROW( () )
+static inline void * makeInterface( sal_IntPtr nOffset, void * that ) SAL_THROW( () )
 {
     return (((char *)that) + nOffset);
 }
@@ -189,7 +189,7 @@
 
 bool recursivelyFindType(
     typelib_TypeDescriptionReference const * demandedType,
-    typelib_InterfaceTypeDescription const * type, sal_Int32 * offset)
+    typelib_InterfaceTypeDescription const * type, sal_IntPtr * offset)
 {
     // This code assumes that the vtables of a multiple-inheritance class (the
     // offset amount by which to adjust the this pointer) follow one another in
@@ -256,7 +256,7 @@
                     nBaseTypes > 0,
                 "### want to implement XInterface:"
                     " template argument is XInterface?!?!?!" );
-            sal_Int32 offset = pEntries[n].m_offset;
+            sal_IntPtr offset = pEntries[n].m_offset;
             bool found = recursivelyFindType(
                 pDemandedTDR,
                 reinterpret_cast< typelib_InterfaceTypeDescription * >(pTD),
